X
Tap here to go to the mobile version of the site.

Support Forum

This thread was closed and archived. Please ask a new question if you need help.

i need a link to an older version of firefox

Posted

I tried link to 30.0 it installed 31.0. I need a previous version link polease.

I tried link to 30.0 it installed 31.0. I need a previous version link polease.

Additional System Details

Installed Plug-ins

  • Next Generation Java Plug-in 10.65.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Shockwave Flash 14.0 r0
  • Google Update
  • 5.1.30514.0
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.07
  • GEPlugin
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Adobe Shockwave for Director Netscape plug-in, version 12.0.2.122
  • Yahoo Application State Plugin version 1.0.0.7
  • NPWLPG

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:31.0) Gecko/20100101 Firefox/31.0

More Information

Romain 16 solutions 139 answers

hi, you can get the version 30.0 here :


i tried the link, it should work.

hi, you can get the version 30.0 here : i tried the link, it should work.

Modified by Tyler Downer

Question owner

Thanks. I'll try it now.

Thanks. I'll try it now.

Question owner

IT worked. Thanks so much

IT worked. Thanks so much
Tyler Downer
  • Top 25 Contributor
  • Moderator
1538 solutions 10733 answers

Firefox 30 is not secure, and has known security issues that are fixed in 31. you should not run it. Is there a reason you are wanting to revert?

Firefox 30 is not secure, and has known security issues that are fixed in 31. you should not run it. Is there a reason you are wanting to revert?
the-edmeister
  • Top 25 Contributor
  • Moderator
5411 solutions 40287 answers

duplicate of https://support.mozilla.org/en-US/questions/1013328 - locking this thread

duplicate of https://support.mozilla.org/en-US/questions/1013328 - locking this thread